--cade/lanzascripts.sh update/AD74A_correcion_estadoNoCerrado.sql DRP


DECLARE
    -- Cursor para la/s entrada/s
	--Script para pasar los expedientes que tienen un tramite de cierre ejecutado a estado cerrado y que no esten cerrados ni pendientes de archivo ni archivados.
    CURSOR centradas IS
    SELECT
        t2.id_expediente_00, t2.id_estado_00 
        
    FROM
        tramites_expediente t1
        LEFT JOIN expedientes         t2 ON ( t1.id_expediente_10 = t2.id_expediente_00 )
    WHERE
        t2.id_estado_00 not in (10,23,24)
        AND t1.id_tramite_10 = 14 
        AND t1.f_realizacion_10 is not null;
        

     nRegistros   NUMBER;
	 nEstadoCerrado   NUMBER:=10;

BEGIN
	
    nRegistros:=0;
    FOR r IN centradas LOOP
        BEGIN
			DBMS_OUTPUT.PUT_LINE(' r.id_expediente_00: ' || r.id_expediente_00 || ' r.id_estado_00: ' || r.id_estado_00) ;            
            UPDATE expedientes u1
            SET
                u1.id_estado_00 = nEstadoCerrado
            WHERE
                u1.id_expediente_00 = r.id_expediente_00;
				
				nRegistros:= nRegistros + SQL%rowcount;
         
        END;
    END LOOP;
	DBMS_OUTPUT.PUT_LINE('Nº registros actualizados ' || nRegistros); 
	
    COMMIT;
END;